## org.eclipse.emf.edit.ui.action
Class CreateSiblingAction

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.edit.ui.action.StaticSelectionCommandAction
                      org.eclipse.emf.edit.ui.action.CreateSiblingAction

All Implemented Interfaces:
  IAction

    public class CreateSiblingAction

extends StaticSelectionCommandAction

A sibling creation action is implemented by creating a `CreateChildCommand`.

Field Summary
`protected java.lang.Object` `descriptor` This describes the sibling to be created.

Fields inherited from class org.eclipse.emf.edit.ui.action.StaticSelectionCommandAction
`command, editingDomain`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateSiblingAction(IEditorPart editorPart, ISelection selection, java.lang.Object descriptor)` This constructor is simply retained for binary compatibility.
`CreateSiblingAction(IWorkbenchPart workbenchPart, ISelection selection, java.lang.Object descriptor)` This constructs an instance of an action that creates a sibling specified by `descriptor`.

Method Summary
`protected Command` `createActionCommand(EditingDomain editingDomain, java.util.Collection<?> collection)` This creates the command for `StaticSelectionCommandAction.createActionCommand(org.eclipse.emf.edit.domain.EditingDomain, java.util.Collection<?>)`.

Methods inherited from class org.eclipse.emf.edit.ui.action.StaticSelectionCommandAction
`configureAction, disable, getDefaultImageDescriptor, objectToImageDescriptor, run`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Field Detail

### descriptor

    protected java.lang.Object descriptor

  This describes the sibling to be created.

Constructor Detail

### CreateSiblingAction

    public CreateSiblingAction(IWorkbenchPart workbenchPart,
                               ISelection selection,
                               java.lang.Object descriptor)

  This constructs an instance of an action that creates a sibling specified by `descriptor`.

  Since:
    2.1.0

### CreateSiblingAction

    public CreateSiblingAction(IEditorPart editorPart,
                               ISelection selection,
                               java.lang.Object descriptor)

  This constructor is simply retained for binary compatibility. It just calls the `new form`.

Method Detail

### createActionCommand

    protected Command createActionCommand(EditingDomain editingDomain,
                                          java.util.Collection<?> collection)

  This creates the command for `StaticSelectionCommandAction.createActionCommand(org.eclipse.emf.edit.domain.EditingDomain, java.util.Collection<?>)`.

  Specified by:
    `createActionCommand` in class `StaticSelectionCommandAction`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.